petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSSundialsSetGramSchmidtType

Sets type of orthogonalization used in GMRES method by SUNDIALS linear solver.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSundialsSetGramSchmidtType(TS ts,TSSundialsGramSchmidtType type)

Logically Collective on TS

### Input parameters

| ts | - the time-step context
| type | - either SUNDIALS_MODIFIED_GS or SUNDIALS_CLASSICAL_GS

### Keywords

Sundials, orthogonalization

### See Also

TSSundialsGetIterations(), TSSundialsSetType(), TSSundialsSetMaxl(),
TSSundialsSetLinearTolerance(), TSSundialsSetTolerance(), TSSundialsGetIterations(), TSSundialsSetType(), TSSundialsSetLinearTolerance(), TSSundialsSetTolerance(), TSSundialsGetPC(), TSSetExactFinalTime()

### Level

advanced

### Location

src/ts/impls/implicit/sundials/sundials.c

### Implementations

TSSundialsSetGramSchmidtType_Sundials in src/ts/impls/implicit/sundials/sundials.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages